Bug 581324 (perl-IO-Handle-Util) - Review Request: perl-IO-Handle-Util - Utilities for working with IO::Handle-like objects
Summary: Review Request: perl-IO-Handle-Util - Utilities for working with IO::Handle-l...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-IO-Handle-Util
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/IO-Handle...
Whiteboard:
Depends On:
Blocks: perl-Plack, plack
TreeView+ depends on / blocked
 
Reported: 2010-04-11 19:23 UTC by Chris Weyl
Modified: 2011-08-12 12:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-07 02:50:22 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-04-11 19:23:02 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-IO-Handle-Util.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-IO-Handle-Util-0.01-1.fc12.src.rpm

Description:
This module provides a number of helpful routines to manipulate or
create IO::Handle like objects.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2108708

*rt-0.10_01

Comment 1 Emmanuel Seyman 2010-06-27 10:44:59 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2275594

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
ece953bc43c2e5914f92ec186cba0086  IO-Handle-Util-0.01.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2275594

 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=4, Tests=372,  0 wallclock secs ( 0.06 usr  0.00 sys +  0.21 cusr  0.03 csys =  0.30 CPU)
Result: PASS

APPROVED.

Comment 2 Chris Weyl 2010-07-01 04:21:32 UTC
New Package CVS Request
=======================
Package Name: perl-IO-Handle-Util
Short Description: Utilities for working with IO::Handle-like objects
Owners: cweyl
Branches: F-12 F-13 devel
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-07-01 04:51:52 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Chris Weyl 2010-07-07 02:50:22 UTC
Thanks for the review! :-)

Comment 5 Jose Pedro Oliveira 2011-08-12 01:54:47 UTC
Package Change Request
======================
Package Name: perl-IO-Handle-Util
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 6 Gwyn Ciesla 2011-08-12 12:36:11 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.